Ask Kevin is smarter.
OmniDimension
Calls

List call logs

Retrieve call logs with pagination and optional filtering.

GET/calls/logs
Query parameters
pagenointeger

Page number for pagination.

pagesizeinteger

Number of items per page.

agentidinteger

Filter by agent ID.

call_statusstring
bulk_call_idinteger

Filter by bulk-call campaign ID.

curl -X GET 'https://backend.omnidim.io/api/v1/calls/logs?pageno=1&pagesize=30' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "call_log_data": [
    {
      "id": 50958,
      "organization_branch_name": "",
      "bot_name": "Customer Support Agent",
      "is_bot_response": true,
      "time_of_call": "05/04/2026 14:46:15",
      "from_number": "Chat",
      "to_number": "Assistant",
      "call_direction": "outbound",
      "call_duration": "0:0",
      "recording_url": false,
      "internal_recording_url": false,
      "recording_available_at": "",
      "call_conversation": " <br/> user:  <br/> LLM: Hello, I am Kevin from OmniDimension support. How may I help you? <br/> <br/> user: i awnt ti book a meetig <br/> LLM: Sure, I can help with that. Could you please provide me with your name and email address? <br/> <br/> user: aok demo@example.com <br/> LLM: Let's confirm your email address: demo@example.com Is that correct? <br/> <br/> user: y <br/> LLM: Great, you can book a meeting using the link below. <br/>",
      "call_status": "completed",
      "channel_type": "Widget-Chat",
      "sentiment_score": "Positive",
      "sentiment_analysis_details": "The user requested to book a meeting, providing their email address. The agent confirmed the email and provided a link for booking the meeting successfully.",
      "call_type": false,
      "is_call_transfer": false,
      "status": "",
      "cqs_score": 0,
      "cqs_score_message": false,
      "metric_score_intent": 0,
      "metric_score_relevance": 0,
      "metric_score_latency": 0,
      "metric_score_coherence": 0,
      "p50_latency": 2.53,
      "p99_latency": 2.79,
      "prompt_tokens": 31727,
      "completion_tokens": 95,
      "total_tokens": 31822,
      "total_tts_speaking_minutes": 0,
      "total_tts_speaking_seconds": 0,
      "llm_prompt": false,
      "aggregated_estimated_cost": 0.123,
      "model_name": "gpt-4o",
      "model_type": "chat",
      "asr_service": "deepgram_stream",
      "tts_service": "eleven_labs",
      "has_issue": false,
      "is_simulation": false,
      "json_evolution_matrix_score": {},
      "issues": [],
      "call_duration_in_seconds": 0,
      "call_duration_in_minutes": 0,
      "extracted_variables": {
        "industry": "Not provided",
        "use_case": "Not provided",
        "user_name": "Demo User",
        "main_purpose": "Booking a meeting",
        "phone_number": "Not provided",
        "preferred_language": "Not provided",
        "monthly_call_volume": "Not provided",
        "interaction_count_total": 4
      },
      "voice_insides": false,
      "amd_detected": false,
      "amd_answered_by": false,
      "amd_duration": 0,
      "is_voicemail": false,
      "is_fax": false,
      "voicemail_type": false,
      "hangup_source": null,
      "hangup_reason": null,
      "user_name": "Demo User",
      "call_cost": 0,
      "call_request_id": {
        "id": false,
        "type_of_request": ""
      },
      "interactions": [
        {
          "id": 88247,
          "interaction_sequence": 1,
          "user_query": "",
          "bot_response": "Hello, I am Kevin from OmniDimension support. How may I help you?",
          "customer_phone_number": false,
          "time_of_call": "05/04/2026 14:43:00",
          "llm2_time": 2.349710792,
          "asr_time": 0,
          "tts_time": 0,
          "metric_score_intent": 0,
          "metric_score_relevance": 0,
          "metric_score_latency": 0,
          "metric_score_coherence": 0,
          "latency_llm": 2.349710792,
          "latency_tts": 0,
          "total_response_time": 2.349710792,
          "evaluation_remarks": false,
          "total_tokens": 6314,
          "has_issue": false,
          "total_cost": 0,
          "issues": [],
          "json_evolution_matrix_score": {},
          "function_call_data": false,
          "tts_speaking_duration": 0
        },
        {
          "id": 88248,
          "interaction_sequence": 2,
          "user_query": "i awnt ti book a meetig",
          "bot_response": "Sure, I can help with that. Could you please provide me with your name and email address?",
          "customer_phone_number": false,
          "time_of_call": "05/04/2026 14:43:08",
          "llm2_time": 2.534026668,
          "asr_time": 0,
          "tts_time": 0,
          "metric_score_intent": 0,
          "metric_score_relevance": 0,
          "metric_score_latency": 0,
          "metric_score_coherence": 0,
          "latency_llm": 2.534026668,
          "latency_tts": 0,
          "total_response_time": 2.534026668,
          "evaluation_remarks": false,
          "total_tokens": 6318,
          "has_issue": false,
          "total_cost": 0,
          "issues": [],
          "json_evolution_matrix_score": {},
          "function_call_data": false,
          "tts_speaking_duration": 0
        },
        {
          "id": 88249,
          "interaction_sequence": 3,
          "user_query": "aok demo@example.com",
          "bot_response": "Let's confirm your email address: demo@example.com Is that correct?",
          "customer_phone_number": false,
          "time_of_call": "05/04/2026 14:43:13",
          "llm2_time": 1.136648417,
          "asr_time": 0,
          "tts_time": 0,
          "metric_score_intent": 0,
          "metric_score_relevance": 0,
          "metric_score_latency": 0,
          "metric_score_coherence": 0,
          "latency_llm": 1.136648417,
          "latency_tts": 0,
          "total_response_time": 1.136648417,
          "evaluation_remarks": false,
          "total_tokens": 6351,
          "has_issue": false,
          "total_cost": 0,
          "issues": [],
          "json_evolution_matrix_score": {},
          "function_call_data": false,
          "tts_speaking_duration": 0
        },
        {
          "id": 88250,
          "interaction_sequence": 4,
          "user_query": "y",
          "bot_response": "Great, you can book a meeting using the link below.",
          "customer_phone_number": false,
          "time_of_call": "05/04/2026 14:43:18",
          "llm2_time": 2.787461793,
          "asr_time": 0,
          "tts_time": 0,
          "metric_score_intent": 0,
          "metric_score_relevance": 0,
          "metric_score_latency": 0,
          "metric_score_coherence": 0,
          "latency_llm": 2.787461793,
          "latency_tts": 0,
          "total_response_time": 2.787461793,
          "evaluation_remarks": false,
          "total_tokens": 12839,
          "has_issue": false,
          "total_cost": 0,
          "issues": [],
          "json_evolution_matrix_score": {},
          "function_call_data": [
            {
              "args": {},
              "result": "Calendly card is now visible to the visitor below your reply. Stop and wait for them to tap. Do not ask any follow-up question this turn.",
              "success": true,
              "time_taken": 0.002235458,
              "function_name": "offer_calendly_meeting"
            }
          ],
          "tts_speaking_duration": 0
        }
      ],
      "post_call_actions": {
        "call_recording_webhook_ids": [
          {
            "id": 1870,
            "name": "Webhook to https://webhook.site/94b3db04-2a3f-480f-86f5-6bcc84b4cc5b on 2026-05-04 14:46:15",
            "webhook_url": "https://webhook.site/94b3db04-2a3f-480f-86f5-6bcc84b4cc5b",
            "webhook_method": "POST",
            "payload": "{\"call_id\": 50958, \"call_sid\": \"secret_key_fb6cac5ad0ba353d30768b2f6d92dab3_74f67317-cdd6-4b56-9954-440933284998\", \"bot_id\": 6340, \"bot_name\": \"Demo User\", \"phone_number\": \"Chat\", \"call_direction\": \"outbound\", \"to_number\": \"Assistant\", \"call_request_id\": false, \"from_number\": \"Chat\", \"call_date\": \"2026-05-04 14:46:15\", \"start_time\": \"2026-05-04 14:46:15\", \"end_time\": \"2026-05-04 14:46:15\", \"call_duration\": 0, \"user_email\": \"demo@example.com\", \"call_status\": \"completed\", \"hangup_source\": false, \"recording_url\": false, \"recording_available_at\": null, \"low_interaction\": true, \"call_report\": {\"summary\": \"The user requested to book a meeting, providing their email address. The agent confirmed the email and provided a link for booking the meeting successfully.\", \"sentiment\": \"Positive\", \"extracted_variables\": {\"user_name\": \"Not provided\", \"phone_number\": \"Not provided\", \"main_purpose\": \"Booking a meeting\", \"use_case\": \"Not provided\", \"monthly_call_volume\": \"Not provided\", \"industry\": \"Not provided\", \"preferred_language\": \"Not provided\"}, \"full_conversation\": \" \\n user:  \\n LLM: Hello, I am Kevin from OmniDimension support. How may I help you? \\n \\n user: i awnt ti book a meetig \\n LLM: Sure, I can help with that. Could you please provide me with your name and email address? \\n \\n user: aok demo@example.com \\n LLM: Let's confirm your email address: demo@example.com Is that correct? \\n \\n user: y \\n LLM: Great, you can book a meeting using the link below. \\n\", \"interactions\": [{\"sequence\": 1, \"user_query\": \"\", \"bot_response\": \"Hello, I am Kevin from OmniDimension support. How may I help you?\", \"time\": \"2026-05-04 14:43:00\"}, {\"sequence\": 2, \"user_query\": \"i awnt ti book a meetig\", \"bot_response\": \"Sure, I can help with that. Could you please provide me with your name and email address?\", \"time\": \"2026-05-04 14:43:08\"}, {\"sequence\": 3, \"user_query\": \"aok demo@example.com\", \"bot_response\": \"Let's confirm your email address: demo@example.com Is that correct?\", \"time\": \"2026-05-04 14:43:13\"}, {\"sequence\": 4, \"user_query\": \"y\", \"bot_response\": \"Great, you can book a meeting using the link below.\", \"time\": \"2026-05-04 14:43:18\"}]}}",
            "status": "sent",
            "response_code": 200,
            "response_body": "This URL has no default content configured. <a href=\"https://webhook.site/#!/edit/94b3db04-2a3f-480f-86f5-6bcc84b4cc5b\">Change response in Webhook.site</a>.",
            "error_message": false,
            "call_recording_id": 50958,
            "user_id": 1234,
            "create_date": "2026-05-04 14:46:15",
            "create_by": "Demo User"
          }
        ],
        "email_service_ids": [],
        "hubspot_service_ids": [],
        "slack_service_ids": [],
        "salesforce_service_ids": [],
        "google_sheets_service_ids": []
      }
    }
  ],
  "total_records": 1672
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Query Parameters

pageno?integer

Page number for pagination.

Default1
pagesize?integer

Number of items per page.

Default30
Rangevalue <= 150
agentid?integer

Filter by agent ID.

call_status?string
Value in"completed" | "busy" | "failed" | "no-answer"
bulk_call_id?integer

Filter by bulk-call campaign ID.

Response Body

application/json